Subject: Re: [PATCHv2 3/3] cvsimport.txt: document the mapping between config and options

From: Michael J Gruber <[email-masked]>
Date: Wed, 01 Dec 2010 16:34:44 +0100

Martin Langhoff venit, vidit, dixit 01.12.2010 16:02:
> On Tue, Nov 30, 2010 at 8:43 PM, Junio C Hamano <[email-masked]> wrote:
>>> [cvsimport]
>>>       r = origin
>>>       capital-r = yes
>>
>> I think we can live with that.  If it is easier to implement, that's very
>> good.
> 
> Sorry, had not seen this discussion. Though I will obviously defer to
> you guys, I don't like it -- not short term, not long term.
> 
> Short-name opts should not auto-read from git-config -- it's a misfire.

Well, you're free to change that. There *are no* long options for
cvsimport right now. And it does accept short config variables (though
undocumented) right now. That pretty much describes the two obstacles
you'd be running into.

Michael